import request from '@/utils/request'

// 查询切割问题创建列表
export function listProblemCreation(query) {
  return request({
    url: '/system/problemCreation/list',
    method: 'get',
    params: query
  })
}

// 查询切割问题创建详细
export function getProblemCreation(id) {
  return request({
    url: '/system/problemCreation/' + id,
    method: 'get'
  })
}

// 新增切割问题创建
export function addProblemCreation(data) {
  return request({
    url: '/system/problemCreation',
    method: 'post',
    data: data
  })
}

// 修改切割问题创建
export function updateProblemCreation(data) {
  return request({
    url: '/system/problemCreation',
    method: 'put',
    data: data
  })
}

// 删除切割问题创建
export function delProblemCreation(id) {
  return request({
    url: '/system/problemCreation/' + id,
    method: 'delete'
  })
}
